/*
 * Class ACTIVE_LIST [G#1]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1650 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1650 [] = {0xFF01,1551,1649,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1650 [] = {0xFF01,1649,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1650 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1650 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1650 [] = {0xFF01,1649,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1650 [] = {0xFF01,1649,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1650 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1650 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1650 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1650 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1650 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1650 [] = {1649,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1650 [] = {0xFF01,1649,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1650 [] = {0xFF01,1560,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1650 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1650 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1650 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1650 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_1650 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_1650 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_1650 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_1650 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_1650 [] = {0xFF01,1649,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_1650 [] = {0xFF01,1547,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_1650 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_26_1650 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_27_1650 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_28_1650 [] = {0xFF01,610,0xFFFF};
static const EIF_TYPE_INDEX egt_29_1650 [] = {0xFF01,1547,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_30_1650 [] = {0xFF01,1559,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_31_1650 [] = {0xFF01,1649,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_32_1650 [] = {0xFF01,603,0xFFFF};
static const EIF_TYPE_INDEX egt_33_1650 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_34_1650 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_35_1650 [] = {869,0xFFFF};
static const EIF_TYPE_INDEX egt_36_1650 [] = {0xFF01,1649,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_37_1650 [] = {0xFF01,1554,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_38_1650 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_39_1650 [] = {0xFF01,1584,0xFF01,0xFFF9,1,840,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_40_1650 [] = {0xFF01,1584,0xFF01,0xFFF9,1,840,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_41_1650 [] = {869,0xFFFF};


static const struct desc_info desc_1650[] = {
	{EIF_GENERIC(NULL), 14849, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1650), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1650), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13832, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1650), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13859, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1650), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1650), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1650), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1650), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1650), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1650), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1650), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1650), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1650), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14842, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1650), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1650), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13820, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8599, 12},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8602, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1650), 8759, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1650), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13831, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9385, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1650), 13813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9231, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9232, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9075, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14819, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14798, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12004, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13845, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13818, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12007, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1650), 8752, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8753, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12449, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13840, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13841, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1650), 13814, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_1650), 12008, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13835, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_1650), 13813, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12016, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13839, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13822, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13823, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13824, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13825, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_1650), 13816, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_1650), 13817, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13838, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13843, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12014, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12015, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12018, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13801, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_1650), 13803, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8749, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8748, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 8751, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12450, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13842, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8750, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 12357, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13833, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13836, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9235, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14814, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11997, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13860, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14802, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14804, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_1650), 10415, 0},
	{EIF_GENERIC(NULL), 10408, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10409, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_1650), 10410, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_1650), 10411, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10412, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10413, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10414, 0xFFFFFFFF},
	{EIF_GENERIC(egt_27_1650), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9355, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9388, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9389, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 9384, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9386, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13856, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13858, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12361, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13802, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_1650), 13017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13809, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14843, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14810, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_1650), 13812, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_1650), 13821, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13826, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13827, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13828, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13829, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13837, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13857, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13805, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13806, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_1650), 14848, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13818, 16},
	{EIF_GENERIC(egt_32_1650), 13819, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13834, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13844, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13830, 0xFFFFFFFF},
	{EIF_GENERIC(egt_33_1650), 13814, 0xFFFFFFFF},
	{EIF_GENERIC(egt_34_1650), 13815, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13835, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14818, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14818, 0xFFFFFFFF},
	{EIF_GENERIC(egt_35_1650), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14813, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14816, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14817, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14800, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14801, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13798, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14799, 0xFFFFFFFF},
	{EIF_GENERIC(egt_36_1650), 13804, 0xFFFFFFFF},
	{EIF_GENERIC(egt_37_1650), 11009, 0xFFFFFFFF},
	{EIF_GENERIC(egt_38_1650), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 12007, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13848, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14815, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14846, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14847, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14803, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14805, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 14806, 13},
	{EIF_GENERIC(NULL), 14807, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 14808, 0xFFFFFFFF},
	{EIF_GENERIC(egt_39_1650), 14844, 4},
	{EIF_GENERIC(egt_40_1650), 14845, 8},
	{EIF_GENERIC(egt_41_1650), -1, 0xFFFFFFFF},
};
void Init1650(void)
{
	IDSC(desc_1650, 0, 1649);
	IDSC(desc_1650 + 1, 1, 1649);
	IDSC(desc_1650 + 32, 1134, 1649);
	IDSC(desc_1650 + 41, 1395, 1649);
	IDSC(desc_1650 + 43, 1060, 1649);
	IDSC(desc_1650 + 49, 1444, 1649);
	IDSC(desc_1650 + 58, 1570, 1649);
	IDSC(desc_1650 + 61, 1534, 1649);
	IDSC(desc_1650 + 68, 636, 1649);
	IDSC(desc_1650 + 82, 1245, 1649);
	IDSC(desc_1650 + 85, 1135, 1649);
	IDSC(desc_1650 + 94, 1422, 1649);
	IDSC(desc_1650 + 103, 878, 1649);
	IDSC(desc_1650 + 104, 586, 1649);
	IDSC(desc_1650 + 110, 658, 1649);
	IDSC(desc_1650 + 111, 617, 1649);
	IDSC(desc_1650 + 113, 288, 1649);
	IDSC(desc_1650 + 128, 254, 1649);
	IDSC(desc_1650 + 131, 554, 1649);
	IDSC(desc_1650 + 132, 916, 1649);
	IDSC(desc_1650 + 138, 340, 1649);
	IDSC(desc_1650 + 146, 1088, 1649);
	IDSC(desc_1650 + 148, 778, 1649);
	IDSC(desc_1650 + 149, 387, 1649);
	IDSC(desc_1650 + 151, 1478, 1649);
	IDSC(desc_1650 + 158, 1477, 1649);
	IDSC(desc_1650 + 160, 794, 1649);
}


#ifdef __cplusplus
}
#endif
